<!DOCTYPE HTML>
<html>

<head>
  <!-- Global site tag (gtag.js) - Google Analytics -->
  <script async src="https://www.googletagmanager.com/gtag/js?id=UA-53522784-1"></script>
  <script>
    window.dataLayer = window.dataLayer || [];
    function gtag() { dataLayer.push(arguments); }
    gtag('js', new Date());

    gtag('config', 'UA-53522784-1');
  </script>

  <title>Create your video | STUFF</title>
  <link href="/stylesheets/style.css" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,700" rel="stylesheet">
  <style>
    body {
      margin: 0px;
      padding: 0px;
    }


    .goback {
      width: 100%;
      text-align: center;
      display: inline-block;
      margin-top: 11px;
      color: #000;
      text-decoration: none;
      /* font-weight: bold; */
      font-size: 15px;
    }

    #display {
      height: 4px;
      line-height: 4px;
      text-align: center;
      font-weight: bold;
      color: #e2562d;
    }

    #display a {}

    @media screen and (max-width: 1024px) {
      .container_inside {
        height: 79%;
        width: 100vw;
      }
      .goback {
        font-size: 28px;
      }

      .fifty {
        width: 100%;
        text-align: center;
      }
      .twoFifty {
        margin-left: 0px;
        padding-left: 6%;
      }
      .header_ul_mobile {
        width: 100%;
      }
      #display {
        height: 57px;
        line-height: 30px;
        text-align: center;
        font-weight: bold;
        color: #e2562d;
        font-size: 30px;
      }
      .stufflogo {
        margin-left: 40px;
      }
    }
  </style>
</head>

<body>
  <div class="video-background">
    <div class="video-foreground">
      <div id="mobile_back"></div>
      <!-- https://www.youtube.com/embed/4qyjEdgP0R4?controls=0&showinfo=0&rel=0&autoplay=1&loop=1&playlist=W0LHTWG-UmQ -->
      <iframe id="desk_back" src="https://www.youtube.com/embed/4qyjEdgP0R4?controls=0&autoplay=1&showinfo=0&rel=0&loop=1&playlist=W0LHTWG-UmQ"
        frameborder="0" mute allowfullscreen></iframe>
    </div>
  </div>
  <div class="container">
    <div class="container_inside">
      <ul class="header_ul_mobile">
        <li>
          <img class="ninexlogo" src="/images/9xmedia-min.png" />
        </li>
        <li>
          <a target="_blank" href="https://www.youtube.com/watch?v=4qyjEdgP0R4">
            <img class="watchvideo" src="/images/watch_song_stuff-min.png" />
          </a>
        </li>
      </ul>
      <ul class="header_ul_mobile_bottom">
        <li>
          <img class="stufflogo" src="/images/Stuff_Logo-min.png" />
        </li>
      </ul>

      <ul class="header_ul">
        <li>
          <img class="ninexlogo" src="/images/9xmedia-min.png" />
        </li>
        <li>
          <img class="stufflogo" src="/images/Stuff_Logo-min.png" />
        </li>
        <li>
          <a target="_blank" href="https://www.youtube.com/watch?v=4qyjEdgP0R4">
            <img class="watchvideo" src="/images/watch_song_stuff-min.png" />
          </a>
        </li>
      </ul>
      <div class="fifty oneFifty">
        <canvas id="myCanvas" width="500" height="500"></canvas>
      </div>
      <div class="fifty twoFifty">
        <h2>HERE'S YOUR VIDEO</h2>
        <h3>Give Filters A Break. Get Some Trippy Smoke On Your Facebook Profile Video.</h3>
        <div class="seperator">
          <button class="btn submit" id="save">SAVE VIDEO</button>
          <a class="btn" href="/">GO BACK</a>
        </div>
        <div class="seperator share_unit">

        </div>
        <div id="display"></div>

      </div>

    </div>
  </div>
  <script src="./javascripts/filesaver.js"></script>
  <script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
  <script src="./javascripts/RecordRTC.min.js"></script>
  <!-- <script src="./javascripts/canvas-anim.js"></script> -->
  <script>
    $(function () {
      const fitImageToCanvas = (image, canvas) => {
        const canvasContext = canvas.getContext("2d");
        const ratio = image.width / image.height;
        let newWidth = canvas.width;
        let newHeight = newWidth / ratio;
        if (newHeight < canvas.height) {
          newHeight = canvas.height;
          newWidth = newHeight * ratio;
        }
        const xOffset = newWidth > canvas.width ? (canvas.width - newWidth) / 2 : 0;
        const yOffset =
          newHeight > canvas.height ? (canvas.height - newHeight) / 2 : 0;
        canvasContext.drawImage(image, xOffset, yOffset, newWidth, newHeight);
      };
      $('#save').hide();
      var canvas = document.getElementById('myCanvas');
      var ctx = canvas.getContext('2d');
      var imageObj = new Image();
      var smokeAnim = new Image();
      var watermark = new Image();
      smokeAnim.src = "../images/smoke-sprites.png";
      watermark.src = "../images/watermark.png";
      watermark.onload = function () {
        ctx.drawImage(watermark, 350, 350);
      };
      imageObj.src = "<%= filepath %>";
      imageObj.onload = function () {

        // ctx.drawImage(imageObj, 0, 0, 500, 500);
        fitImageToCanvas(imageObj, canvas);
        $('#save').fadeIn();
        init();
      };

      function init() {


        var canvasWidth = canvas.width;
        var canvasHeight = canvas.height;

        var spriteWidth = 22000; // 9677;
        var spriteHeight = 500; // 403;

        var rows = 1;
        var cols = 44;

        var trackRight = 0;
        var trackLeft = 0;

        var width = spriteWidth / cols;
        var height = spriteHeight / rows;
        var curFrame = 0;
        var frameCount = 44;

        var x = 0;
        var y = 0;

        var srcX;
        var srcY;

        var left = false;
        var right = true;

        var speed = 40;

        function updateFrame() {
          curFrame = ++curFrame % frameCount;
          srcX = curFrame * width;
          ctx.clearRect(x, y, width, height);

          if (left && x > 0) {
            srcY = trackLeft * height;
            // x-=speed;
          }
          if (right && x < canvasWidth - width) {
            srcY = trackRight * height;
            // x+=speed;
          }
        }

        function draw() {
          updateFrame();
          fitImageToCanvas(imageObj, canvas);
          // ctx.drawImage(imageObj, 0, 0,500,500);
          ctx.drawImage(smokeAnim, srcX, 0, 500, 500, 0, 0, 500, 500);
          ctx.drawImage(watermark, 390, 450);
        }
        setInterval(draw, speed);
      }


      var btn = document.getElementById("save");
      var canvas = document.getElementById("myCanvas");

      var recorder = new CanvasRecorder(canvas, {
        disableLogs: false,
        mimeType: 'video/webm;codecs=h264'
      });
      var display = $('.share_unit');
      btn.addEventListener('click', function () {
        // // start recording <canvas> drawings
        recorder.record();

        display.html("<p>Recording.. Please wait..</p>").fadeIn();

        setTimeout(function () {

          // a few minutes later
          recorder.stop(function (blob) {

            var blob = new Blob([blob], {
              type: "video/webm"
            });

            var form = new FormData();
            form.append('video', blob);

            display.html("<p>Processing.. It may take few minutes..</p>").fadeIn();

            $.ajax({
              type: 'POST',
              url: '/convert',
              data: form,
              dataType: "JSON",
              processData: false,
              contentType: false
            }).done(function (data) {
              if (data.success && data.url) {
                var snippet =
                  '<h1>Share your video</h1><a class="btn download" target="_blank" href=' + data.url +
                  '>Download Link</a><a class="btn download" href="http://www.facebook.com/sharer/sharer.php?u=' +
                  data.url +
                  '">Facebook</a><a class="btn download" href="https://plus.google.com/share?url=' +
                  data.url + '">Google Plus</a>'
                display.html(snippet);
              } else {
                display.html("<p>OOPS!! Something went wrong. Try again later</p>").fadeOut(5000);
              }
            });
          
          });

        }, 8000);

      })

    });
  </script>

</body>

</html>